<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" >
    <ul class="dropdown-menu">
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.ADDITION']}"
                             actionListener="#{ruleEditorManager.createAddition(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.CONSTANT']}"
                             actionListener="#{ruleEditorManager.createConstant(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.DIVISION']}"
                             actionListener="#{ruleEditorManager.createDivision(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.MULTIPLICATION']}"
                             actionListener="#{ruleEditorManager.createMultiplication(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.POWER']}"
                             actionListener="#{ruleEditorManager.createPower(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.SOUSTRACTION']}"
                             actionListener="#{ruleEditorManager.createSoustraction(targetId, side)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.XPATH']}"
                             actionListener="#{ruleEditorManager.createSingle(targetId, side)}"
                             render="workingBoard"/>
        </li>
    </ul>
</ui:composition>